This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 161525 - Cannot add a CC: or BCC: to new Evolution email message using GUI
Cannot add a CC: or BCC: to new Evolution email message using GUI
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 18:21 EDT by Julius Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-23 19:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julius Smith 2005-06-23 18:21:00 EDT
Description of problem: Cannot add a "CC" to a new email message


Version-Release number of selected component (if applicable): Evolution 2.2.2


How reproducible: Always


Steps to Reproduce:
1. In Evolution, click "New"
2. Click "To:"
3. Try to enter a CC: name
  
Actual results: Cannot enter CC.  The CC: button is disabled, so clicks not
accepted.  Accompanying text field accepts type-in, but it goes nowhere.


Expected results: Should be able to add a To:, CC:, or BCC: in this form. 
Buttons should not be disabled.  Even if they are, textfield type-in should then
work.


Additional info: There is a similar bug in the Samba manager, when trying to
entering new users.  (Can type in users textfield list, but typein goes
nowhere.)  See Bug 133867.

This is probably a UI widget bug (or usage bug), but I don't know my way around
all that.
Comment 1 Dave Malcolm 2005-06-23 19:07:20 EDT
Thanks for this report.

I successfully reproduced the symptoms you described; however it seems like the
bug is that the UI is difficult to understand, rather than actually broken. 

There should be a list of the contacts with email addresses in the left-hand
pane of that dialog.  If you select one of them, the To, CC and BCC buttons
should become clickable.

I'm going to close this bug (with resolution "NOTABUG").  If I've misunderstood,
or if there are further problems, please reopen it.

Assuming that this is the correct interpretation, it would be great if you could
file a report about this upstream; the upstream Evolution team is working on
revamping the UI and suggestions are welcome.  The upstream bug tracking
database to use is at:
http://bugzilla.gnome.org

Thanks.

Comment 2 Julius Smith 2005-06-23 22:05:36 EDT
Ok, I can accept that the issue regarding the disabled buttons/textfield is a
design debate regarding how the UI should work.  Thanks for the link for UI
suggestions.

However, I still think it is a bug that one can type text into a supposedly
disabled textfield, only to have it discarded when final entry is attempted. 
One can select an existing "To" entry (entered before clicking on the top-level
To button), type over it in the pop-up textfield, and then have nothing happen.
If the textfield is to be disabled, it should not be possible to type over it in
a manner that strongly suggests it is going to work. (It should be selectable
for copy/paste purposes, but right now that doesn't work, even though it looks
like it's going to work.)  Note that one can double-click on the entry and make
it disappear.  Why is that ok?

Ultimately, for me, the inability to enter a CC or BCC unless it is already in
one's list of contacts seems very hard to accept as reasonable.  The user has to
explore the menus to discover that View / CC Field | BCC Field can be selected
to create an entry opportunity on the message composition window.

I'll take my further discussions to bugzilla.gnome.org -- thanks


Note You need to log in before you can comment on or make changes to this bug.